Loading...
Searching...
No Matches
juce::dsp::ConvolutionMessageQueue Class Reference

## Detailed Description

Used by the Convolution to dispatch engine-update messages on a background thread.

May be shared between multiple Convolution instances.

The documentation for this class was generated from the following file:

- juce_dsp/frequency/juce_Convolution.h

## Public Member Functions

| ConvolutionMessageQueue ()
| Initialises the queue to a default size.
| ~ConvolutionMessageQueue () noexcept
| ConvolutionMessageQueue (int numEntries)
| Initialises the queue with the specified number of entries.
| ConvolutionMessageQueue (ConvolutionMessageQueue &&) noexcept
ConvolutionMessageQueue & | operator= (ConvolutionMessageQueue &&) noexcept
| ConvolutionMessageQueue (const ConvolutionMessageQueue &)=delete
ConvolutionMessageQueue & | operator= (const ConvolutionMessageQueue &)=delete

## Constructors and Destructors

## ConvolutionMessageQueue() [1/4]

juce::dsp::ConvolutionMessageQueue::ConvolutionMessageQueue | ( |  | ) |

Initialises the queue to a default size.

If your Convolution is updated very frequently, or you are sharing this queue between multiple Convolutions, consider using the alternative constructor taking an explicit size argument.

Referenced by ConvolutionMessageQueue(), ConvolutionMessageQueue(), ConvolutionMessageQueue(), operator=(), and operator=().

## ~ConvolutionMessageQueue()

juce::dsp::ConvolutionMessageQueue::~ConvolutionMessageQueue | ( |  | ) |

noexcept

## ConvolutionMessageQueue() [2/4]

juce::dsp::ConvolutionMessageQueue::ConvolutionMessageQueue | ( | int | numEntries | ) |

explicit

Initialises the queue with the specified number of entries.

In general, the number of required entries scales with the number of Convolutions sharing the same Queue, and the frequency of updates to those Convolutions.

References ConvolutionMessageQueue().

## ConvolutionMessageQueue() [3/4]

juce::dsp::ConvolutionMessageQueue::ConvolutionMessageQueue | ( | ConvolutionMessageQueue && |  | ) |

noexcept

References ConvolutionMessageQueue().

## ConvolutionMessageQueue() [4/4]

juce::dsp::ConvolutionMessageQueue::ConvolutionMessageQueue | ( | const ConvolutionMessageQueue & |  | ) |

delete

References ConvolutionMessageQueue().

## Member Functions

## operator=() [1/2]

ConvolutionMessageQueue & juce::dsp::ConvolutionMessageQueue::operator= | ( | ConvolutionMessageQueue && |  | ) |

noexcept

References ConvolutionMessageQueue().

## operator=() [2/2]

ConvolutionMessageQueue & juce::dsp::ConvolutionMessageQueue::operator= | ( | const ConvolutionMessageQueue & |  | ) |

delete

References ConvolutionMessageQueue().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited